モンスターカレンダー

« 2005年10月 »
12345678910111213141516171819202122232425262728293031

2005年10月アーカイブ

AUTHのオプションにadvancedsecurityがある。「接続元のIP、UserAgent等をチェックするかどうか」。Trueにしてみた。すると、あるページに移るときに必ず権限チェックにひっかかってしまうようになった。ちゃんとログイン状態が続いているはずなのに。
ひっかかるのは、例えばURLが http://www.hoge.com/hoge/hogehoge/ から http://www.hoge.com/hoge/hogehogehoge/ に遷移する時。

ソースを調べてみる。...なんか良く分からない。はじかれているところは分かったが。
PEARのBugsを見てみる。と、
Request #4126 Auth AdvancedSecurity patch のトピックがあった。...今回のものが該当するのかどうか?してなさそうではあるが、これだけ不具合あるのかorz 全然バージョンアップされてないし。使えるパッケージなのにもったいないー。

とりあえずはこのパッチを適用してみようかと思う。